Get Google eligibility evidence
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"window": {
"days": 7,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
},
"totals": {
"inspectedPages": 1,
"indexedPages": 1,
"inspectionPropertiesMeasured": 1,
"nonIndexedPages": 1,
"inspectionErrors": 1,
"pendingConfirmationPages": 1,
"confirmedTransitionPages": 1,
"pagesWithAssociatedSitemaps": 1,
"sitemapPropertiesMeasured": 1,
"sitemapSubmissions": 1,
"sitemapSubmissionsWithErrors": 1,
"sitemapSubmissionsWithWarnings": 1
},
"verdicts": [
{
"verdict": "indexed",
"totalCount": 1
}
],
"pages": [
{
"domainCanonical": "<string>",
"pagePath": "<string>",
"verdict": "indexed",
"confirmedVerdict": "indexed",
"pendingVerdict": "indexed",
"coverageState": "<string>",
"googleCanonical": "<string>",
"userCanonical": "<string>",
"robotsTxtState": "<string>",
"indexingState": "<string>",
"pageFetchState": "<string>",
"crawledAs": "<string>",
"associatedSitemapCount": 1,
"associatedSitemaps": [
"<string>"
],
"referringUrlCount": 1,
"referringUrls": [
"<string>"
],
"richResults": {},
"dimensions": {
"canonical": "pass",
"crawlable": "pass",
"indexed": "pass",
"structuredData": "pass"
},
"observedAt": "2023-11-07T05:31:56Z",
"lastCrawlTime": "2023-11-07T05:31:56Z"
}
],
"transitions": [
{
"domainCanonical": "<string>",
"pagePath": "<string>",
"previousConfirmedVerdict": "indexed",
"confirmedVerdict": "indexed",
"coverageState": "<string>",
"dimensions": {
"canonical": "pass",
"crawlable": "pass",
"indexed": "pass",
"structuredData": "pass"
},
"observedAt": "2023-11-07T05:31:56Z",
"transitionedAt": "2023-11-07T05:31:56Z"
}
],
"sitemaps": [
{
"domainCanonical": "<string>",
"sitemapUrl": "<string>",
"sitemapType": "<string>",
"isPending": true,
"isSitemapsIndex": true,
"lastSubmitted": "2023-11-07T05:31:56Z",
"lastDownloaded": "2023-11-07T05:31:56Z",
"errorCount": 1,
"warningCount": 1,
"submittedUrlCount": 1,
"fetchedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Audit and pages
Get Google eligibility evidence
Returns whether Google can index your pages, from Search Console URL Inspection: each eligibility check, status changes confirmed by two inspections in a row, and sitemap submission state, for a fixed 7, 30, or 90 day window. Evidence is dated from successful measurements. Detail lists are capped while totals are not. Requires the audit.read scope.
GET
/
projects
/
{projectId}
/
audit
/
eligibility
Get Google eligibility evidence
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/audit/eligibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"window": {
"days": 7,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
},
"totals": {
"inspectedPages": 1,
"indexedPages": 1,
"inspectionPropertiesMeasured": 1,
"nonIndexedPages": 1,
"inspectionErrors": 1,
"pendingConfirmationPages": 1,
"confirmedTransitionPages": 1,
"pagesWithAssociatedSitemaps": 1,
"sitemapPropertiesMeasured": 1,
"sitemapSubmissions": 1,
"sitemapSubmissionsWithErrors": 1,
"sitemapSubmissionsWithWarnings": 1
},
"verdicts": [
{
"verdict": "indexed",
"totalCount": 1
}
],
"pages": [
{
"domainCanonical": "<string>",
"pagePath": "<string>",
"verdict": "indexed",
"confirmedVerdict": "indexed",
"pendingVerdict": "indexed",
"coverageState": "<string>",
"googleCanonical": "<string>",
"userCanonical": "<string>",
"robotsTxtState": "<string>",
"indexingState": "<string>",
"pageFetchState": "<string>",
"crawledAs": "<string>",
"associatedSitemapCount": 1,
"associatedSitemaps": [
"<string>"
],
"referringUrlCount": 1,
"referringUrls": [
"<string>"
],
"richResults": {},
"dimensions": {
"canonical": "pass",
"crawlable": "pass",
"indexed": "pass",
"structuredData": "pass"
},
"observedAt": "2023-11-07T05:31:56Z",
"lastCrawlTime": "2023-11-07T05:31:56Z"
}
],
"transitions": [
{
"domainCanonical": "<string>",
"pagePath": "<string>",
"previousConfirmedVerdict": "indexed",
"confirmedVerdict": "indexed",
"coverageState": "<string>",
"dimensions": {
"canonical": "pass",
"crawlable": "pass",
"indexed": "pass",
"structuredData": "pass"
},
"observedAt": "2023-11-07T05:31:56Z",
"transitionedAt": "2023-11-07T05:31:56Z"
}
],
"sitemaps": [
{
"domainCanonical": "<string>",
"sitemapUrl": "<string>",
"sitemapType": "<string>",
"isPending": true,
"isSitemapsIndex": true,
"lastSubmitted": "2023-11-07T05:31:56Z",
"lastDownloaded": "2023-11-07T05:31:56Z",
"errorCount": 1,
"warningCount": 1,
"submittedUrlCount": 1,
"fetchedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}